// paramInfo.js

// Created by: Jeff Rackauckas & Chris Rackauckas



// This file contains the scripts for choosing the parameter, associating it with the correct data, and associating it with the correct colors





function chooseColor(reading){

	

	//First check to see if high is green or low is green

	//Then choose color based on thresholds

	

	if(parameterThresholds[parameterColor][0] < parameterThresholds[parameterColor][1]){	
		if(reading<parameterThresholds[parameterColor][0]){
			return "red";

		}

		if(reading<parameterThresholds[parameterColor][1]){

			return "yellow";

		}

		return "green";

	}

	

	if(parameterThresholds[parameterColor][0] > parameterThresholds[parameterColor][1]){

		if(reading>parameterThresholds[parameterColor][0]){

			return "red";

		}

		if(reading>parameterThresholds[parameterColor][1]){

			return "yellow";

		}

		return "green";

	}

}

function chooseScale(reading){

	

	//First check to see if high is green or low is green

	//Then choose color based on thresholds

	

	if(parameterThresholds[parameterSize][0] < parameterThresholds[parameterSize][1]){	
		if(reading<parameterThresholds[parameterSize][0]){
			return scaleSmall;

		}

		if(reading<parameterThresholds[parameterSize][1]){

			return scaleMedium;

		}

		return scaleLarge;

	}

	

	if(parameterThresholds[parameterSize][0] > parameterThresholds[parameterSize][1]){

		if(reading>parameterThresholds[parameterSize][0]){

			return scaleLarge;

		}

		if(reading>parameterThresholds[parameterSize][1]){

			return scaleMedium;

		}

		return scaleSmall;

	}

}

